# Uses of Class
org.eclipse.emf.compare.internal.dmp.diff_match_patch.Patch

Packages that use diff_match_patch.Patch
Package
Description
org.eclipse.emf.compare.internal.dmp

## Uses of diff_match_patch.Patch in org.eclipse.emf.compare.internal.dmp

Methods in org.eclipse.emf.compare.internal.dmp that return types with arguments of type diff_match_patch.Patch
Modifier and Type
Method
Description
`LinkedList<diff_match_patch.Patch>`
diff_match_patch.`patch_deepCopy(LinkedList<diff_match_patch.Patch> patches)`
Given an array of patches, return another array that is identical.
`List<diff_match_patch.Patch>`
diff_match_patch.`patch_fromText(String textline)`
Parse a textual representation of patches and return a List of Patch objects.
`LinkedList<diff_match_patch.Patch>`
diff_match_patch.`patch_make(String text1, String text2)`
Compute a list of patches to turn text1 into text2.
`LinkedList<diff_match_patch.Patch>`
diff_match_patch.`patch_make(String text1, String text2, LinkedList<diff_match_patch.Diff> diffs)`
Deprecated.
Prefer patch_make(String text1, LinkedList<Diff> diffs).
`LinkedList<diff_match_patch.Patch>`
diff_match_patch.`patch_make(String text1, LinkedList<diff_match_patch.Diff> diffs)`
Compute a list of patches to turn text1 into text2. text2 is not provided, diffs are the delta between text1 and text2.
`LinkedList<diff_match_patch.Patch>`
diff_match_patch.`patch_make(LinkedList<diff_match_patch.Diff> diffs)`
Compute a list of patches to turn text1 into text2. text1 will be derived from the provided diffs.
Methods in org.eclipse.emf.compare.internal.dmp with parameters of type diff_match_patch.Patch
Modifier and Type
Method
Description
`protected void`
diff_match_patch.`patch_addContext(diff_match_patch.Patch patch, String text)`
Increase the context until it is unique, but don't let the pattern expand beyond Match_MaxBits.
Method parameters in org.eclipse.emf.compare.internal.dmp with type arguments of type diff_match_patch.Patch
Modifier and Type
Method
Description
`String`
diff_match_patch.`patch_addPadding(LinkedList<diff_match_patch.Patch> patches)`
Add some padding on text start and end so that edges can match something.
`Object[]`
diff_match_patch.`patch_apply(LinkedList<diff_match_patch.Patch> patches, String text)`
Merge a set of patches onto the text.
`LinkedList<diff_match_patch.Patch>`
diff_match_patch.`patch_deepCopy(LinkedList<diff_match_patch.Patch> patches)`
Given an array of patches, return another array that is identical.
`void`
diff_match_patch.`patch_splitMax(LinkedList<diff_match_patch.Patch> patches)`
Look through the patches and break up any which are longer than the maximum limit of the match algorithm.
`String`
diff_match_patch.`patch_toText(List<diff_match_patch.Patch> patches)`
Take a list of patches and return a textual representation.